import es
import popuplib
import base64
#This Addon is a Python recode from Daves Addon rules!

#		 Config Block
#Define the Command to resend the Popup in the Game
resend_popup_command = "!help"
#Add here the names of the Admins.
admin_names = ["Adminname1", "Adminname2", "Adminname3", "Adminname4"]
#Add here the Rules
server_rules = ["Rule1", "Rule2", "Rule3", "Rule4"]
#1 = Show Adminnames and Rules, 2 = Show only Rules, 3 = Show only Adminnames
popup_type = 1
#		Config Block End

info = es.AddonInfo()
info.basename = "rules_python"
info.name = "%s_version" % info.basename
info.author = "Brainsucker"
info.version = "1.1.0"

announce = 0


def load():
	if info.author == base64.decodestring("QnJhaW5zdWNrZXI=\n"):
		es.ServerVar(info.name, "%s by %s" % (info.version, info.author)).makepublic()
		spopup = popuplib.easymenu("startpopup", "_popup_choice", spopup_select)
		spopup.settitle("Welcome to our CSS Server\nAddon by Brainsucker\nChoose an Option")
		spopup.addoption("rules", "Rules")
		spopup.addoption("admins", "Admins")
		
		if popup_type in [1, 3]:
			apopup = popuplib.easymenu("adminpopup", "_popup_choice", apopup_select)
			apopup.settitle("Adminnames")
			for names in admin_names:
				apopup.addoption(names, names)
			
		if popup_type in [1, 2]:
			rpopup = popuplib.easymenu("rulespopup", "_popup_choice", rpopup_select)
			rpopup.settitle("Rules")
			for rule in server_rules:
				rpopup.addoption(rule, rule)
			
	else:
		fakemsg = 0
		while fakemsg != 10:
			fakemsg += 1
			es.msg("#multi", "This Server fakes Addons")
		es.unload(info.basename)
		
def player_activate(ev):
	if ev["es_steamid"] != "BOT":
		popuplib.send("startpopup", ev["userid"])
		
def player_say(ev):
	if ev["text"] == resend_popup_command:
		popuplib.send("startpopup", ev["userid"])
		
def spopup_select(userid, choice, popupid):
	if choice == "rules":
		popuplib.send("rulespopup", userid)
	elif choice == "admins":
		popuplib.send("adminpopup", userid)
		
def rpopup_select(userid, choice, popupid):
	popuplib.send("rulespopup", userid)
		
def apopup_select(userid, choice, popupid):
	popuplib.send("adminpopup", userid)
		
def round_start(ev):
	global announce
	announce += 1
	if announce == 5:
		es.msg("#multi", "Type #green%s #defaultin the Chat to view our Rules" % resend_popup_command)
		
def unload():
	popuplib.delete("startpopup")
	popuplib.delete("rulespopup")
	popuplib.delete("adminpopup")